Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Class MigrationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.runtime.MigrationException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class MigrationException
extends weblogic.utils.NestedException

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`MigrationException(String message)` Constructor for the MigrationException object
`MigrationException(String message, Throwable t)` Constructor for the MigrationException object
`MigrationException(Throwable t)` Constructor for the MigrationException object

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MigrationException

    public MigrationException(String message)

  Constructor for the MigrationException object

### MigrationException

    public MigrationException(String message,
                              Throwable t)

  Constructor for the MigrationException object

### MigrationException

    public MigrationException(Throwable t)

  Constructor for the MigrationException object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD